Subject: Re: bug#16558: 24.3.50; w32-shell-execute does not open url behind proxy

From: "Stefan-W. Hahn" <[email-masked]>
Date: Mon, 27 Jan 2014 18:07:37 +0100

Mail von Eli Zaretskii, Sun, 26 Jan 2014 at 21:46:38 +0200:

Hello,

> > To solve this for me I set:
> > 
> >   (put 'file-exists-p 'url-file-handlers 'ignore)
> > 
> > I'm not sure if this is the right solution in all cases.
> 
> Would it help in your case to disable file handlers when calling
> Ffile_exists_p?

I'm not sure what you mean. I tried:

(defun my-browse-url (url)
 (let ((file-name-handler-alist nil))
   (w32-shell-execute nil url)))

this works for my case where I can change the code around the calls to
w32-shell-execute or browse-url.

But what to do with calls to this in other code?

Or do you mean to change file-name-handler-alist and to remove
the "https?":

 ("\\`\\(https?\\|ftp\\|file\\|nfs\\)://" . url-file-handler)

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.